Posts
Cancel Scheduled Post
Delete a scheduled fansly post
https://v1.apifansly.com/api/fansly
POST
/{account_id}/posts/scheduled/{post_id}/cancel
Get Started
All requests to the Fansly API require an API Key. See the Authentication page for details.
Path Parameters
account_id*
stringThe unique identifier for the connected account.
post_id*
stringThe unique identifier for the scheduled post.
curl -X POST "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel" \
-H "x-api-key: YOUR_API_KEY"fetch("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel", {
method: "POST",
headers: {
"x-api-key": "YOUR_API_KEY"
}
})import requests
url = "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel"
headers = {"x-api-key": "YOUR_API_KEY"}
response = requests.post(url, headers=headers)
print(response.json())import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel"))
.header("x-api-key", "YOUR_API_KEY")
.POST(HttpRequest.BodyPublishers.noBody())
.build();
client.sendAsync(request, HttpResponse.BodyHandlers.ofString())
.thenApply(HttpResponse::body)
.thenAccept(System.out::println)
.join();using System.Net.Http;
using System.Threading.Tasks;
var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.PostAsync("https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel", null);
var responseString = await response.Content.ReadAsStringAsync();
Console.WriteLine(responseString);package main
import (
"fmt"
"net/http"
)
func main() {
url := "https://v1.apifansly.com/api/fansly/{account_id}/posts/scheduled/{post_id}/cancel"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
client := &http.Client{}
resp, _ := client.Do(req)
defer resp.Body.Close()
fmt.Println(resp.Status)
}Response
{
"statusCode": 201,
"message": "Success",
"data": {
"status_code": 200,
"data": {
"success": true,
"response": {
"scheduledPosts": [
{
"postId": "post_id",
"accountId": "account_id",
"status": 3,
"postTemplate": "{\"accountId\":\"account_id\",\"content\":\"Sample post content...\",\"fypFlags\":4,\"inReplyTo\":null,\"quotedPostId\":null,\"replyPermissionFlags\":0,\"postReplyPermissionFlags\":[],\"expiresAt\":0,\"attachments\":[{\"contentType\":2,\"contentId\":\"media_id\",\"pos\":0,\"postId\":\"post_id\"}],\"wallIds\":[],\"pinWallIds\":[],\"pinned\":0,\"id\":\"post_id\"}",
"scheduledFor": "timestamp in milliseconds" //(e.g 1779801881000)
}
]
}
}
},
"timestamp": "2026-05-25T13:45:40.057Z"
}